v1.0.0
OpenAPI 3.1.0

Delete a customer device

US region

Client Libraries

Delete a customer device

Remove a device from a customer profile. If you continue sending data about a device to Customer.io, you may inadvertently re-add the device to the customer profile.

Path Parameters
  • identifier
    required

    The unique value representing a person. The values you use to identify a person may be an id, email address, or the cio_id (when updating people), depending on your workspace settings. When you reference people by cio_id, you must prefix the value with cio_.

    You can't reference a person by their phone number here. We determine the identifier type from the shape of the value, so a phone number in the path is treated as an id. To identify people by phone number, use the Track v2 API.

    • Type: string · id

      The unique identifier for a person that you want to create or modify.

  • device_id
    Type: string
    required

    The ID of the device you want to perform an operation against.

Responses
  • 200

    A successful request returns an empty object response.

  • application/json
  • 401

    Unauthorized request. Make sure that you provided the right credentials.

Request Example for delete/api/v1/customers/{identifier}/devices/{device_id}
const { TrackClient, RegionUS } = require('customerio-node');
let cio = new TrackClient(siteId, apiKey, { region: RegionUS });

// Depending on your workspace settings, the id (5) may be an email address.
cio.deleteDevice(5, "device_token")

No Body